@import "variables";
@import "_d3";

a {
  color: black;

  &:hover {
    text-decoration: none;
    color: black;
  }
}

.navbar {
  margin-bottom: 0;
}

.navbar-brand {
  visibility: hidden;
}

.container {
  width: 100%;
  padding: 0;
  display: flex;
  flex-direction: column;
}

.main {
  padding-left: 0;
  padding-right: 0;
}

.header {
  min-height: 15em;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.header_div {
  width: 100%;
  min-height: 15vh;
  background-color: $primary-color;
  display: flex;
  flex-direction: column;
  justify-content: space-around;

  & .header_text {
    color: white;
  }
}

.header_image {
  width: 90%;
  min-width: 0;
  height: 15vh;
  margin: 0 auto;
  padding-bottom: 0.5em;
  order: 1;
}

.header_button {
  order: 2;
  margin: 0 auto;
  text-align: center;
  width: 15em;
  margin-bottom: 1.5em;
}

.header_text {
  color: #444444;
  font-size: 16pt;
  text-align: center;
  margin: 0.5em auto 1em;
  max-width: 45em;
  // height: 3em;
  order: 3;
  // background-color: white;
}

.crossroads {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;

  & > div {
    margin: 1em;
  }
}

.btn--crossroads {
  @include btn($section-color,$section-color);
  border-radius: 3pt;
  order: 2;
  margin: 0 auto 1em;
  background-color: $section-color;
  color: black;
}

.chart_div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  width: 100%;
}

.chart {
  // display: flex;
  // align-items: center;
  // margin: 0 auto;
  // width: 100%;
  // padding-left: 2em;
  & svg {
    display: block;
    margin: auto;
  }
}

#legend {
  overflow: auto;
  height: 450px;
}

.chart_title h2 {
  text-align: center;
  // margin-top: 2.5em;
  margin-bottom: 0;
}

.button_row {
  display: flex;
  flex-direction: row;
  justify-content: center;

  & form {
    margin-top: 0.5em;
    margin-left: 1em;
  }
}

.btn--select_graph {
  background: white;
  border: 2pt solid $navbar-color;
  margin: 0.5em;
}
// D3
// .axis path,
// .axis line {
//   fill: none;
//   stroke: #000;
//   shape-rendering: crispEdges;
// }

.axis--x .tick line {
  stroke: transparent;
}

.vl {
  border-left: solid $primary-color 1pt;
}

.crossroads_container h2 {
  // padding: 0 1em 1em;
  margin-top: 0;
  text-align: center;
}

.crossroads_container_btns {
  display: flex;
  flex-direction: column;
  justify-content: center;

  & .btn {
    margin: 0.5em;
  }
}

.link_underlined {
  text-decoration: underline;
}

ul.dropdown-menu {
  border: none;
}

//D3
#chart text {
  font-family: 'Open Sans', sans-serif;
  font-size: 9pt;
}